ONVIF::Analytics::Types::AnalyticsEngineControl(3)

NAME
ONVIF::Analytics::Types::AnalyticsEngineControl

DESCRIPTION
Perl data type class for the XML Schema defined complexType AnalyticsEngineControl from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   EngineToken

•   EngineConfigToken

•   InputToken

•   ReceiverToken

•   Multicast

•   Subscription

•   Mode

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Analytics::Types::AnalyticsEngineControl
   EngineToken => $some_value, # ReferenceToken
   EngineConfigToken => $some_value, # ReferenceToken
   InputToken => $some_value, # ReferenceToken
   ReceiverToken => $some_value, # ReferenceToken
   Multicast =>  { # ONVIF::Analytics::Types::MulticastConfiguration
     Address =>  { # ONVIF::Analytics::Types::IPAddress
       Type => $some_value, # IPType
       IPv4Address => $some_value, # IPv4Address
       IPv6Address => $some_value, # IPv6Address
     },
     Port =>  $some_value, # int
     TTL =>  $some_value, # int
     AutoStart =>  $some_value, # boolean
   },
   Subscription =>  { # ONVIF::Analytics::Types::Config
     Parameters =>  { # ONVIF::Analytics::Types::ItemList
       SimpleItem => ,
       ElementItem =>  {
       },
       Extension =>  { # ONVIF::Analytics::Types::ItemListExtension
       },
     },
   },
   Mode => $some_value, # ModeOfOperation
 },

AUTHOR
Generated by SOAP::WSDL